class StudioData {
  final int id;
  final String title;
  final String image;
  final String duration;
  final String createdAt;
  bool marked;

  StudioData({
    required this.id,
    required this.title,
    required this.image,
    required this.duration,
    required this.createdAt,
    required this.marked,
  });

  factory StudioData.fromJson(Map<String, dynamic> json) {
    return StudioData(
      id: json['id'],
      title: json['title'],
      image: json['image'],
      duration: json['duration'],
      createdAt: json['createdAt'],
      marked: json['marked'],
    );
  }

  Map<String, dynamic> toJson() => {
        'id': id,
        'title': title,
        'image': image,
        'duration': duration,
        'createdAt': createdAt,
        'marked': marked,
      };
}
